package fr.velossity.sample.logging.client;

import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.Log;
import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;


/**
 * 
 * @author C. Saint-Marcel
 * 
 */
public class LogClient implements BundleActivator {
	
	/**
	 * static field to the logging factory.
	 */
	Log logger = LogFactory.getLog(LogClient.class);
	
	public LogClient() {
		logger.debug("Constructor entered");		
	}

	/**
	 * @see BundleActivator#start(BundleContext)
	 * Callback, called at bundle activation.
	 */
	public void start(BundleContext bc) {
		logger.info("Bundle activated");
	}

	/**
	 * @see BundleActivator#stop(BundleContext)
	 * Callback, called at bundle deactivation.
	 */
	public void stop(BundleContext bc) {
		logger.info("Bundle deactivated");
	}
}
